API REFERENCE
Ad Store Details API
GET
/open-api/v1/ad-stores/{id}·api.ppspy.com
Data and monitoring usage rules
Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.
Request headers
AUTHORIZATION
Authorization: {API Key}CONTENT-TYPE
application/jsonACCEPT
application/jsonRequest example
cURL
curl --location --request GET 'https://api.ppspy.com/open-api/v1/ad-stores/3da0b54f87306bebc81196bcf8cdba02' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}' Request parameters
Pass each parameter in its specified location.
| Parameter | Type | Description |
|---|---|---|
| id
path · required
| string | Ad Store ID | |
Response example
Response · JSON
{
"code": 200,
"message": "success",
"data": {
"store": {
"id": "3da0b54f87306bebc81196bcf8cdba02",
"name": "bloery",
"logo_url": null,
"e_commerce_platform": "shopify",
"source_store_link": "https://bloery.com",
"source_store_domain": "e0fefd-f3.myshopify.com",
"ad_product_count": 0,
"month_visits": null,
"ad_country": [],
"ad_platform": [
"FACEBOOK",
"INSTAGRAM",
"AUDIENCE_NETWORK",
"MESSENGER"
],
"ad_status": 1,
"adset_count": 1,
"active_ad_count": 1,
"inactive_ad_count": 0,
"removed_ad_count": 0,
"ad_count": 1,
"ad_audience_reach": 0,
"ad_cost": 0,
"active_days": 1,
"ad_started_at": 1728370800,
"ad_ended_at": 1728370800,
"advertiser_count": 1,
"user_collected": 2
},
"is_monitoring": false,
"is_monitoring_ad": false
},
"credits": {
"remaining_credits": 745,
"consumed_credits": 0,
"total_credits": 745
}
}
Example data from the existing documentation
Response structure
| Name | Type | Required | Constraints | Display Name | Description |
|---|---|---|---|---|---|
| » code | integer | true | none | Business status code | |
| » message | string | true | none | Response message | |
| » data | object | true | none | Response data | |
| »» store | object | true | none | Ad Store | |
| »»» id | string | true | none | Ad Store ID | |
| »»» name | string | true | none | Store Name | |
| »»» logo_url | string¦null | true | none | Store Logo | |
| »»» e_commerce_platform | string | true | none | E-commerce Platform | |
| »»» source_store_link | string | true | none | Store URL | |
| »»» source_store_domain | string | true | none | Store Domain | |
| »»» ad_product_count | integer¦null | true | none | Ad Products Count | |
| »»» month_visits | integer¦null | true | none | Monthly Visits | |
| »»» ad_country | [string] | true | none | Ad Target Countries | |
| »»» ad_platform | [string] | true | none | Ad Platforms | |
| »»» ad_status | integer | true | none | Ad Status | Options: 1-Active, 2-Stopped. |
| »»» adset_count | integer | true | none | Total Ad Sets | |
| »»» active_ad_count | integer | true | none | Active Ads Count | |
| »»» inactive_ad_count | integer | true | none | Inactive Ads Count | |
| »»» removed_ad_count | integer | true | none | Removed Ads Count | |
| »»» ad_count | integer | true | none | Total Ads Count | |
| »»» ad_audience_reach | integer¦null | true | none | Audience Reach | |
| »»» ad_cost | number¦null | true | none | Ad Spend | In USD |
| »»» active_days | integer | true | none | Active Days | |
| »»» ad_started_at | integer | true | none | Ad Start Time | Timestamp in seconds. |
| »»» ad_ended_at | integer | true | none | Ad End Time | Timestamp in seconds. |
| »»» advertiser_count | integer | true | none | Advertisers Count | |
| »»» user_collected | integer | true | none | User Bookmark Status | Options: 1-Not bookmarked, 2-Bookmarked. |
| »» is_monitoring | boolean | true | none | Whether sales are being tracked | |
| »» is_monitoring_ad | boolean | true | none | Whether ads are being monitored | |
| » credits | object | true | none | Credits information | Credits information for the current API request |
| »» remaining_credits | integer | true | none | Remaining credits | Remaining credits after this request |
| »» consumed_credits | integer | true | none | Consumed credits | Credits consumed by this request |
| »» total_credits | integer | true | none | Total credits | Total credits of the current credits type |
